1. Ronald Oussoren
  2. py2app

Issues

Issue #12 resolved

Version in build_app causes error

Anonymous created an issue

Running version 0.5.3 I got the following error: {{{ Traceback (most recent call last): File "setup.py", line 18, in <module> setup_requires=['py2app'], File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/core.py", line 152, in setup dist.run_commands() File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 987, in run_commands self.run_command(cmd) File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 1007, in run_command cmd_obj.run() File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/py2app-0.5.3-py2.6.egg/py2app/build_app.py", line 462, in run self._run() File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/py2app-0.5.3-py2.6.egg/py2app/build_app.py", line 618, in _run self.run_normal() File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/py2app-0.5.3-py2.6.egg/py2app/build_app.py", line 702, in run_normal self.create_binaries(py_files, pkgdirs, extensions, loader_files) File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/py2app-0.5.3-py2.6.egg/py2app/build_app.py", line 800, in create_binaries target, arcname, pkgexts, copyexts, target.script) File "/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/py2app-0.5.3-py2.6.egg/py2app/build_app.py", line 1271, in build_executable includedir = 'python%s'%(info['version']) NameError: global name 'info' is not defined }}}

Changing py2app/build_app.py line 2171: {{{ includedir = 'python%s'% info['version']) }}} to {{{ includedir = 'python%d.%d'%sys.version_info[0:2] }}} solves the problem.

Comments (1)

  1. Log in to comment